Bug 212113 - soft lockup detected on cpu
soft lockup detected on cpu
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 01:13 EDT by Chris Ricker
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 19:21:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fc5 crash message (12.34 KB, text/plain)
2007-01-16 12:20 EST, Dale Bewley
no flags Details

  None (edit)
Description Chris Ricker 2006-10-25 01:13:43 EDT
Just upgraded an fc5 machine to fc6. New fc6 kernel (kernel-2.6.18-1.2798.fc6)
keeps locking up with the following

Oct 25 00:51:23 d1000 kernel: BUG: soft lockup detected on CPU#0!
Oct 25 00:51:23 d1000 kernel:  [<c0405876>] dump_trace+0x69/0x1af
Oct 25 00:51:23 d1000 kernel:  [<c04059d4>] show_trace_log_lvl+0x18/0x2c
Oct 25 00:51:23 d1000 kernel:  [<c0405f83>] show_trace+0xf/0x11
Oct 25 00:51:23 d1000 kernel:  [<c0406080>] dump_stack+0x15/0x17
Oct 25 00:51:23 d1000 kernel:  [<c04497ed>] softlockup_tick+0xad/0xc4
Oct 25 00:51:23 d1000 kernel:  [<c042a3b5>] update_process_times+0x39/0x5c
Oct 25 00:51:23 d1000 kernel:  [<c040839f>] timer_interrupt+0x4d/0x76
Oct 25 00:51:23 d1000 kernel:  [<c0449a6e>] handle_IRQ_event+0x23/0x49
Oct 25 00:51:23 d1000 kernel:  [<c0449b2a>] __do_IRQ+0x96/0xf2
Oct 25 00:51:23 d1000 kernel:  [<c0406f53>] do_IRQ+0x9e/0xbc
Oct 25 00:51:23 d1000 kernel:  =======================
Oct 25 00:51:23 d1000 kernel: tg3: eth0: Link is down.


This is on a laptop (Dell Latitude D600), Pentium M 1400 MHz, 1.5 gigs RAM
Comment 1 Joshua Brindle 2006-10-27 02:27:45 EDT
I'm getting this same error, fresh install of fc6 x86_64 on vmware with dual
cores (i'm seeing the soft lockup on both cpu's) on kernel 2.6.18-1.2798.fc6 #1
SMP Mon Oct 16 14:39:22 EDT 2006 x86_64 x86_64 x86_64 GNU/Linux

BUG: soft lockup detected on CPU#0!

Call Trace:
 [<ffffffff8026929b>] show_trace+0x34/0x47
 [<ffffffff802692c0>] dump_stack+0x12/0x17
 [<ffffffff802b4900>] softlockup_tick+0xdb/0xf6
 [<ffffffff80293837>] update_process_times+0x42/0x68
 [<ffffffff80273e48>] smp_local_timer_interrupt+0x23/0x47
 [<ffffffff80274504>] smp_apic_timer_interrupt+0x41/0x47
 [<ffffffff8025cb82>] apic_timer_interrupt+0x66/0x6c
DWARF2 unwinder stuck at apic_timer_interrupt+0x66/0x6c
Leftover inexact backtrace:
 <IRQ>  <EOI>  [<ffffffff80268a87>] default_idle+0x29/0x50
 [<ffffffff80247be9>] cpu_idle+0x95/0xb8
 [<ffffffff8064384b>] start_kernel+0x225/0x22a
 [<ffffffff8064328a>] _sinittext+0x28a/0x28e

BUG: soft lockup detected on CPU#1!

Call Trace:
 [<ffffffff8026929b>] show_trace+0x34/0x47
 [<ffffffff802692c0>] dump_stack+0x12/0x17
 [<ffffffff802b4900>] softlockup_tick+0xdb/0xf6
 [<ffffffff80293837>] update_process_times+0x42/0x68
 [<ffffffff80273e48>] smp_local_timer_interrupt+0x23/0x47
 [<ffffffff80274504>] smp_apic_timer_interrupt+0x41/0x47
 [<ffffffff8025cb82>] apic_timer_interrupt+0x66/0x6c
DWARF2 unwinder stuck at apic_timer_interrupt+0x66/0x6c
Leftover inexact backtrace:
 <IRQ>  <EOI>  [<ffffffff8023020c>] unix_poll+0x0/0x99
 [<ffffffff80268a87>] default_idle+0x29/0x50
 [<ffffffff80247be9>] cpu_idle+0x95/0xb8
 [<ffffffff80273c66>] start_secondary+0x45a/0x469


Comment 2 Joshua Brindle 2006-10-27 09:17:32 EDT
booting up with noapic on the kernel command line stopped this from happening on
my system..
Comment 3 Dave Jones 2006-10-28 02:03:00 EDT
Ingo, another collection of UP lapic problems.
Comment 4 Edmond Hui 2006-10-28 12:15:23 EDT
Don't know if I am seeing the same problem, but my IBM Thinkpad t30 also lockup
very often, usually when I move from desktop to desktop in GNOME..... there was
no crash log found in /var/log/message

Is that a way I can collect this info?
Comment 5 Chris Ricker 2006-10-29 04:36:48 EST
neither noapic nor nolapic fix for me
Comment 6 Chris Ricker 2006-11-04 21:40:50 EST
kernel-2.6.18-1.2835.fc6.i686 appears to have fixed -- it's been up for 24 hours
without locking up
Comment 7 Chris Ricker 2006-11-04 22:22:02 EST
Of course, posting that immediately caused it to start locking up again

Nov  4 22:05:22 d1000 kernel: BUG: soft lockup detected on CPU#0!
Nov  4 22:05:22 d1000 kernel:  [<c04051db>] dump_trace+0x69/0x1af
Nov  4 22:05:22 d1000 kernel:  [<c0405339>] show_trace_log_lvl+0x18/0x2c
Nov  4 22:05:22 d1000 kernel:  [<c04058ed>] show_trace+0xf/0x11
Nov  4 22:05:22 d1000 kernel:  [<c04059ea>] dump_stack+0x15/0x17
Nov  4 22:05:22 d1000 kernel:  [<c044da2d>] softlockup_tick+0xad/0xc4
Nov  4 22:05:22 d1000 kernel:  [<c042e5ba>] update_process_times+0x39/0x5c
Nov  4 22:05:22 d1000 kernel:  [<c0407d13>] timer_interrupt+0x4d/0x76
Nov  4 22:05:22 d1000 kernel:  [<c044dcae>] handle_IRQ_event+0x23/0x49
Nov  4 22:05:22 d1000 kernel:  [<c044dd6a>] __do_IRQ+0x96/0xf2
Nov  4 22:05:22 d1000 kernel:  [<c04068bf>] do_IRQ+0x9e/0xbc
Nov  4 22:05:22 d1000 kernel:  =======================
Nov  4 22:05:22 d1000 kernel: tg3: eth0: Link is down.

Comment 8 Stefan Becker 2006-12-07 03:10:08 EST
Same problems on an IBM/Lenovo T60 laptop (Intel T2400 @1.83Ghz stepping 08)
with SMP enabled. I'm using dkms-ipw3945 & ati-x11-drv from freshrpms for the
WLAN & graphics HW.

2.6.18-1.2798.fc6.i686: never seen it happen with this version

2.6.18-1.2849.fc6.i686: If it hangs then it hangs during bootup during start of
"System message bus" (dbus). I get a message for CPU#0 which looks like the on
in comment #1 (if someone tells me how I can capture that message during boot
I'll add it).

It almost certainly hangs when the machine has been used for a while and you do
a reboot. If I switch it off for a while after the hang the next boot most
likely works OK again.
Comment 9 Stefan Becker 2006-12-20 05:01:10 EST
Just updated to latest FC6 kernel 2.6.18-1.2868.fc6. Although the changes
included some boot up corrections for softirq's it still hangs on my T60 :-/

But at least I have now identified which service triggers the hang in my
machine: the irqbalance service. I have now disabled it with chkconfig and
haven't had any problems booting up.
Comment 10 Dale Bewley 2007-01-16 12:20:09 EST
Created attachment 145710 [details]
fc5 crash message

I think this is the same error I've seen on 2.6.18-1.2257.fc5. See attached
messages. Quad AMD x86_64.
Comment 11 Stefan Becker 2007-01-19 05:58:59 EST
Just updated to latest FC6 kernel-2.6.19-1.2895.fc6 and got the lockup again on
boot...
Comment 12 Stefan Becker 2007-01-27 10:50:29 EST
Turns out that in the case of the T60 this was caused by a bug in the ipw3945
kernel module <http://bughost.org/bugzilla/show_bug.cgi?id=1096>. Please ignore
my comments about this bug.
Comment 13 Jon Stanley 2007-12-30 22:30:17 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 14 Jon Stanley 2008-01-07 19:21:28 EST
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.